
{% load static %}

<!-- SEARCH FORM -->
<div class="form-wrapper" id="tle-search-form">

    <h2>Two-Line Element Search</h2>

    <form action="{% url 'search_results' %}" method="POST">
        {%  csrf_token %}

        <div style="float:left; margin-right:20px">
            <label class="form-label" for="start-date">Start Date</label>
            <input name="start-date" id="start-date" type="date">
        </div>
        <div style="float:left;">
            <label class="form-label" for="start-time">Start Time (UTC)</label>
            <input name="start-time" id="start-time" type="time" value="00:00" step="3600" min="00:00" max="23:59" pattern="[0-2][0-9]:[0-5][0-9]">
        </div>
        <br style="clear:both;"><br>

        <div style="float:left; margin-right:20px">
            <label class="form-label" for="end-date">End Date</label>
            <input name="end-date" id="end-date" type="date">
        </div>
        <div style="float:left">
            <label class="form-label" for="end-time">End Time (UTC)</label>
            <input name="end-time" id="end-time" type="time" value="00:00" step="3600" min="00:00" max="23:59" pattern="[0-2][0-9]:[0-5][0-9]">
        </div>

        <br style="clear:both;"><br>

        <p class="form-label" style="display:inline">Include Entries Before & After</p>
        &nbsp
        <button type="button" onclick="expandbutton('expand-info-cutoff')" class="info-button">❔</button>
        <div id="expand-info-cutoff" class="more-info" style="display:none;">
            <p class="info-text">Returns an additional TLE outside the start and end range, but within the given number of days.</p>
            <p class="info-text">TLEs are snapshots, so not all objects will have an available TLE for the selected time range.
                To avoid such gaps, you can return two additional TLEs for each satellite:
                The most recent before the start and after the end date.
            </p>
            <p class="info-text">
                If you e.g. enter 7 for 'Before' and 0 for 'After', the search will check if any of the satellites
                have been updated in the week before the start date. If that is the case, it will return the TLE closest
                to the start date for each satellite.
                Since we entered 0 for 'After', it will not look for an additional TLE after the end date.
            </p>
        </div>

        <br style="clear:both;"><br>

        <div style="float:left; margin-right:20px">
            <label class="form-label" for="before" style="display:inline">Before</label>

            <input name="before" id="before" type="number" value=0>
        </div>

        <div style="float:left;">
            <label class="form-label" for="after">After</label>
            <input name="after" id="after" type="number" value=0>
        </div>

        <br style="clear:both;"><br>

        <label class="form-label" for="satellite-name" style="display:inline">Satellite Name (optional)</label>
        &nbsp
        <button type="button" onclick="expandbutton('expand-info-name')" class="info-button">❔</button>
        <div id="expand-info-name" class="more-info" style="display:none;">
            <p class="info-text">Searches for the search term in satellite names. The search is case-insensitive.</p>
            <p class="info-text">If you are looking for a specific satellite only, we recommend using the NORAD ID search.</p>
        </div>
        <input name="satellite-name" id="satellite-name" type="text" placeholder="ONEWEB-0012">
        <br>

        <label class="form-label" for="norad-nr" style="display: inline">NORAD ID (optional) </label>
        &nbsp
        <button type="button" onclick="expandbutton('expand-info-norad')" class="info-button">❔</button>
        <div id="expand-info-norad" class="more-info" style="display:none;">
            <p class="info-text">Only returns TLEs of the satellite with matching
                <a href="https://en.wikipedia.org/wiki/Satellite_Catalog_Number">NORAD ID</a>.</p>
        </div>
        <input name="norad-nr" id="norad-nr" type="text" placeholder="25544">

        <br><br>

        <label class="form-label" for="frequency-list" style="display:inline">List of Frequencies (GHz)</label>
        &nbsp
        <button type="button" onclick="expandbutton('expand-info-frequency')" class="info-button">❔</button>

        <div id="expand-info-frequency" class="more-info" style="display:none;">
            <p class="info-text">
                Enter a list of frequencies to filter for.
                Every satellite with an overlapping transmission bandwidth will be returned.
            </p>
            <p class="info-text">
                Formatting:
                <ul>
                    <li>Separate frequency ranges with a dash (-)</li>
                    <li>Only one frequency pair per line</li>
                    <li>Frequencies are always assumed to be in GHz</li>
                </ul>
            </p>
            <p class="info-text">
                <b>Note:</b> Satellites <b>without</b> available frequency information will only be
                included if the 'Include satellites without frequency data' is checked.
                If it is unchecked and no valid frequency pair is given, the search will return all
                satellites that have frequency information.
            </p>
        </div>

        <br>

        <textarea name="frequency-list" id="frequency-list"
                  placeholder="10.70 - 12.70 &#10;13.85 - 14.50 "></textarea>
        <br>


        <label class="form-label" for="without-frequency-data" style="display:inline">Include satellites without frequency data</label>
        &nbsp
        <button type="button" onclick="expandbutton('expand-info-frequency-data')" class="info-button">❔</button>

        <div id="expand-info-frequency-data" class="more-info" style="display:none;">
            <p class="info-text">
                When filtering for frequencies, if this checkmark is checked, satellites that don't have any registered
                frequency data will also be included. Since frequency information is incomplete, this is to avoid missing
                any active satellites.
            </p>
            <p class="info-text">
                If this checkmark is unchecked, only satellites with registered frequencies are considered.
                If no valid frequency pair is provided in the 'Frequency List', the search will return all satellites
                with frequency information. If a valid frequency pair is provided, the search will return only
                the satellites that have an overlapping transmission bandwidth.
            </p>
        </div>

        <br>

        <input type="checkbox" id="without-frequency-data" name="without-frequency-data" checked>


        <div class="center-h" style="clear:both; padding-top:40px">
            <input type="submit" value="search">
        </div>



    </form>
</div>








